Subject: Metadata handling σύμφωνα με το OpenStack Compute API v1.1

Description

Έχω ανανεώσει τη σελίδα του wiki:

http://trac.cslab.ece.ntua.gr:8081/cloud/wiki/DesignImplAPI

που αφορά στην τεκμηρίωση της υλοποίησης του API της εφαρμογής. Έχω προσθέσει τα metadata όπως ορίζονται στο OpenStack

Compute API v1.1.

To ticket αυτό αφορά στην υλοποίηση του handling των metadata όπως αυτή προδιαγράφεται στο OpenStack Compute API v1.1

(http://docs.openstack.org/openstack-compute/developer/content/) και φαίνεται στην παραπάνω σελίδα του wiki

Related issues:

related to Synnefo - Feature # 251: Documentation του: Metadata handling σύμφ... Closed 03/08/2011

related to Synnefo - Feature # 253: Μετάβαση στο OpenStack Compute API v1.1 Closed 03/08/2011

related to Synnefo - Bug # 301: Sanitization του API, αφαίρεση του Piston, έλ... Closed 03/18/2011 04/06/2011

Associated revisions

Revision d8e50a39 - 04/04/2011 12:21 am - Giorgos Verigakis

Move to OpenStack API v1.1

    -  Removes piston dependency.

    -  Adds dateutil dependency.

Fixes #183 - Implement /servers

Fixes #185 - Implement /images

Fixes #245 - Details in exception handlers

Fixes #249 - Metadata handling

Fixes #253 - Transition to OpenStack API v1.1

Fixes #255 - Fix XML for addresses

Fixes #287 - Piston related bug

Fixes #289 - Support both XML and JSON

Fixes #309 - GUI not refreshing

Fixes #339 - Support API extensions

Fixes #359 - action returns serviceUnavailable

Fixes #361 - return dates with timezones

Refs #301 - Sanitization of API

Refs #315 - Replace API v1.1

History

#1 - 03/08/2011 06:52 pm - Constantinos Venetsanopoulos

- Assignee changed from Markos Gogoulos to Constantinos Venetsanopoulos

To κάνω assign σε μένα και θα το φτιάξω εγώ. Ασχοληθείτε με τα υπόλοιπα ανοιχτά tickets, μιας και δεν υπάρχει πολύ χρόνος αυτή τη βδομάδα
#2 - 03/15/2011 01:34 pm - Constantinos Venetsanopoulos

- Status changed from New to Assigned

Έχουν υλοποιηθεί οι μέθοδοι που κάνουν handle τα GET, POST, PUT, DELETE requests.

Πρέπει να υλοποιηθούν τα quota σχετικά με το πόσα metadata keys μπορεί να έχει ένα VM

#3 - 04/03/2011 11:17 am - Vangelis Koukis

- Assignee changed from Constantinos Venetsanopoulos to Giorgos Verigakis

#4 - 04/05/2011 02:30 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Η νέα υλοποίηση του API υποστηρίζει metadata για Images και Servers με ακριβείς απαντήσεις σύμφωνες με το πρότυπο, το κλείνω.
